<h1><%= @headline %></h1>


<h2>Organizations</h2>
<% if not @organizations %>
    <p>No organizations exist yet.</p>
<% else %>

<%= search_form_for @query, :url=>{:action=>:index}, :class=>:filter_form, :id=>:controller_filter do |f| %>
<div>
  <%= f.search_field :name_or_contact_email_or_description_cont_any, :placeholder=>'Pattern' %>
  <%= f.submit :filter %>
</div>
<% end %>

<table id='organizations'>
    <thead>
    <tr>
        <th colspan="3"><%= smr_paginate @page, @total_pages, objects_organization_index_path %></th>
    </tr>
    <tr>
        <th>Name</th>
        <th>Contact</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody>
    <% @organizations.each do |o| %>
        <tr class="separaterows">
            <td>
              <% if o.id != Smr::ID_UNIVERSE_ORGANIZATION then %>
                <%= link_to '+', edit_objects_organization_path(o.id) %>
                <%= link_to '...', o.link.to_url %>
              <%else%>&nbsp;
              <%end%>
              <%= o.name %>
            </td>
            <td><%= mail_to o.contact_email %></td>
            <td><span class="comment_text"><%= o.description %></span></td>
        </tr>
    <% end %>
    </tbody>
</table>
<% end %>
